<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.Maps013"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk
        android:minSdkVersion="19"
        android:targetSdkVersion="21" />
        
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_INTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
     
  
     <!-- 
       <uses-feature 
          android:name="@string/step_detector" android:required="false"/>
    
    <uses-feature 
           android:name="@string/step_counter" android:required="false"/>
    -->
    <!-- >
    
     <uses-feature android:name="android.hardware.sensor.stepcounter" />
    <uses-feature android:name="android.hardware.sensor.stepdetector" />
    
    -->
     <uses-feature  android:name="android.hardware.sensor.stepcounter" android:required="true"/>
      <uses-feature android:name="android.hardware.sensor.stepdetector" android:required="true"/>
    
    <application
        android:allowBackup="true"
        android:icon="@drawable/map"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name="com.example.Maps013.MainActivity"
            android:label="@string/app_name" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        
          <activity android:name="com.example.Maps013.Geolocalisation01" />
          <activity android:name="com.example.Maps013.Geolocalisation02" />
          <activity android:name="com.example.Maps013.Compas" />
          <activity android:name="com.example.Maps013.Podometre_mode" />
          <activity android:name="com.example.Maps013.StepCounter" />
          <activity android:name="com.example.Maps013.PodometreSettings" />
          
          <activity android:name="com.example.Maps013.NewActivity" />
          <activity android:name="com.example.Maps013.Control_Service" />

                    <activity android:name="com.example.Maps013.Geocoder_find_address" />
          			<activity android:name="com.example.Maps013.Geocoder_find_address02" />
          			
          			<activity android:name="com.example.Maps013.Geo01" />
          		    <activity android:name="com.example.Maps013.Geo02" />
          			<activity android:name="com.example.Maps013.Geo03" />
          			<activity android:name="com.example.Maps013.Geo04" />
          			<activity android:name="com.example.Maps013.Geo06" />
          			
				    <activity android:name="com.example.Maps013.Geo07" />
				    
				    <activity android:name="com.example.Maps013.AutoComplete" />
          			<activity android:name="com.example.Maps013.StepCounterActivity" />
          			<activity android:name="com.example.Maps013.SettingsActivity" />
          			<activity android:name="com.example.Maps013.test_DB" />
          			<activity android:name="com.example.about" />
          			
          			<activity android:name=".Chrono" />
    
              		<activity android:name=".Listing_run" />
                  
                    <activity android:name=".ListGPSDatas" />
                    <activity android:name=".ListRUNDatas" />
                    <activity android:name=".GPS_tracker_maps" />
                    <activity android:name=".Settings_map" />
         
          			
 		<service  android:name="com.example.Maps013.GPS_Service"  />
          
         <service android:name="com.example.Maps013.StepCounterService" />
        
              <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />

      <!--     android:name="com.google.android.geo.API_KEY" -->
          
        <meta-data
            android:name="com.google.android.maps.v2.API_KEY"
            android:value="AIzaSyBXw9vydHGGjBOYSeM9i-Xh8f9Mk0xzg1k" />
          
          
    </application>

</manifest>
